Переполнение буфера в FFmpeg

Дата публикации:
10.07.2008
Всего просмотров:
1214
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FFmpeg 0.x
Уязвимые версии: FFmpeg 0.x

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании b скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "str_read_packet()" в файле libavformat/psxstr.c. Удаленный пользователь может с помощью специально сформированного STR файла вызвать переполнение динамической памяти и скомпрометировать целевую систему.

URL производителя: ffmpeg.sourceforge.net/index.php

Решение: Установите исправление из SVN репозитория производителя.

или введите имя

CAPTCHA